---
title: "Add a new value for the object"
slug: "add-a-new-value-for-the-object"
updated: 2025-11-21T10:01:00Z
published: 2026-02-10T10:39:15Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a new value for the object

Post/api/v1/realestateobjects/propertyvaluations

Add a new value for existing real estate object.

		
			

**Description**

Add a value (including type) to an existing object. A real estate object can have several different types of values. Examples are the sales value or the rent value.

Both the 'reference' and the 'externalIdentifier' can be used to identify the object. Preferably only the reference is used. If this is not available, the externalIdentifier can be used. If both properties are used it is important that both are correct and match with the same entity (object). If this is not the case, the request will return with an error code.

**Use Case**

A building will soon be made available for rent. Therefore the user wants to register the rent value of this property. This operation can be used to add this value.

**Request fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| reference | The relationship number within Bloxs. This is unique (per client specific environment) for all objects. The relationship number is generated by the Bloxs system. |
| externalIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system. |
| valueTypeName | The value type. Examples are the sales value or the rent value. |
| year | The year in which the value has been assigned. |
| amount | The actual value in numbers. Decimals are separated with a period (.) |

**Response fields**

The response contains the fields in the table below:

| Field | Description |
| --- | --- |
| valueTypeName | The value type. Examples are the sales value or the rent value. |
| year | The year in which the value has been assigned. |
| amount | The actual value in numbers. Decimals are separated with a period (.) |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Body parameters<select class='api-response-data' aria-label='Media type'><option value='99feaf55-b7e9-4991-aae8-a6a90e09f272'>application/json</option>
</select>object  referencestring   | null  
externalIdentifierstring   | null  
valueTypeNamestring    RequiredMin length1Max length30
yearinteger  (int32)    RequiredMinimum1900Maximum2100
amountnumber  (double)    RequiredMinimum0Maximum2147483647
measureDatestring  (date)   | null  

Responses200

The value was added

<select class='api-response-data' aria-label='Media type'><option value='55faae9b-28d5-4a27-870c-5bc6f2247169'>application/json</option>
</select>object  valueTypeNamestring    Min length1Max length30
yearinteger  (int32)    Minimum1900Maximum2100
amountnumber  (double)    Minimum0Maximum2147483647
measureDatestring  (date)   | null  

400

The value has validation issues

<select class='api-response-data' aria-label='Media type'><option value='bd11aeb2-8157-4c75-a968-1faf7dc088f6'>application/json</option>
</select>Expand Allobject  typestring   | null  
titlestring   | null  
traceIdstring   | null  
statusinteger  (int32)    
errorsobject | null  property* Array of string  | null  additionalPropertiesstring
